### Method

# Clutter KeyframeTransition get_key_frame

#### Declaration [src]

    void
    clutter_keyframe_transition_get_key_frame (
      ClutterKeyframeTransition* transition,
      guint index_,
      double* key,
      ClutterAnimationMode* mode,
      GValue* value
    )

#### Description [src]

Retrieves the details of the key frame at `index_` inside `transition`.

The `transition` must already have key frames set, and `index_` must be smaller than the number of key frames.

#### Parameters

`index_`

  Type: `guint`

  The index of the key frame.

`key`

  Type: `double*`

  Return location for the key, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`mode`

  Type: `ClutterAnimationMode`

  Return location for the easing mode, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value`

  Type: `GValue`

  A `GValue` initialized with the type of the values.

  The argument will be set by the function.
  The returned data is owned by the instance.